#! /usr/bin/env node
import { program } from '@commander-js/extra-typings';
import { generateAllCheckers } from './schema-to-validator.js';
/* —————————————————————————————————————————————————————————————————————————— */
// eslint-disable-next-line no-console
console.log(`Astro OpenAPI — CLI — Schema helpers`);
/* ·········································································· */
program
    .command('gen')
    .description('Generate schemas')
    .option('--baseDir <path>', 'Base directory.\nDefault: project.')
    .option('--outDir <path>', 'Output directory.\nDefault: Colocated with schema.')
    .action(async (options, command) => {
    console.log('baseDir', options.baseDir);
    console.log('outDir', options.outDir);
    if (options.baseDir) {
        options.baseDir;
    }
    await generateAllCheckers(options.baseDir, options.outDir);
});
program.parse();
