import type { AstroIntegration } from 'astro';
export interface Settings {
    /**
     * Where to look at, recursively.
     *
     * E.g. `./${baseDir}/**\/*.schema.yaml``
     *
     * **Default**: `./**\/*.schema.yaml`.
     */
    baseDir?: string | undefined;
    /**
     * Destination directory for the generated checkers.
     *
     * E.g. `src/checkers`
     *
     * **Default**: Colocated with its input schema.
     */
    outDir?: string | undefined;
}
declare const integration: (settings?: Settings) => AstroIntegration;
export { integration };
