import { ErrorObject } from 'ajv';
import type { JSONSchema7 } from 'json-schema';
export type GenericFrontmatter = Record<string, unknown>;
export type Result<T> = {
    data: T;
    errors: ErrorObject<string, Record<string, any>, unknown>[] | string[] | undefined;
    original: unknown;
    schema: JSONSchema7;
};
export declare function itemChecker<T>(item: unknown, schema: JSONSchema7, replaceDefective?: boolean): Promise<Result<T>>;
export type { JSONSchema7 };
